#include <iostream>

using namespace std; 

int main()
{
    char c1, c2;
    int a1, a2;
    cin >> c1 >> c2;
    cin >> a1 >> a2;
    if (abs(a1-a2) > 1)
    {
        cout << "nemoguce";
        return 0;
    }
    string s="";
    if (a1 > a2)
    {
        for (int i = 0; i < a1 + a2; i++)
        {
            if (i % 2 == 0)
            {
                s.append(1,c1);
            }
            else
            {
                s.append(1,c2);
            }
        }
    }
    else if (a1 < a2)
    {
        for (int i = 0; i < a1 + a2; i++)
        {
            if (i % 2 == 1)
            {
                s.append(1,c1);
            }
            else
            {
                s.append(1,c2);
            }
        }
    }
    else
    {
        for (int i = 0; i < a1 + a2; i++)
        {
            if (i % 2 == 0)
            {
                s.append(1,c1);
            }
            else
            {
                s.append(1,c2);
            }
        }
    }
    cout << s;
}